/**
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import org.eclipse.papyrus.robotics.xtext.datatypes.dTML.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class DTMLFactoryImpl extends EFactoryImpl implements DTMLFactory
{
  /**
   * Creates the default factory implementation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static DTMLFactory init()
  {
    try
    {
      DTMLFactory theDTMLFactory = (DTMLFactory)EPackage.Registry.INSTANCE.getEFactory(DTMLPackage.eNS_URI);
      if (theDTMLFactory != null)
      {
        return theDTMLFactory;
      }
    }
    catch (Exception exception)
    {
      EcorePlugin.INSTANCE.log(exception);
    }
    return new DTMLFactoryImpl();
  }

  /**
   * Creates an instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public DTMLFactoryImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public EObject create(EClass eClass)
  {
    switch (eClass.getClassifierID())
    {
      case DTMLPackage.MODEL: return createModel();
      case DTMLPackage.XDATA_TYPE: return createXDataType();
      case DTMLPackage.PROPERTY: return createProperty();
      case DTMLPackage.XASSIGNMENT: return createXAssignment();
      case DTMLPackage.VALUE: return createValue();
      case DTMLPackage.XENUMERATION: return createXEnumeration();
      case DTMLPackage.XENUM_LITERAL: return createXEnumLiteral();
      default:
        throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Model createModel()
  {
    ModelImpl model = new ModelImpl();
    return model;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public XDataType createXDataType()
  {
    XDataTypeImpl xDataType = new XDataTypeImpl();
    return xDataType;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Property createProperty()
  {
    PropertyImpl property = new PropertyImpl();
    return property;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public XAssignment createXAssignment()
  {
    XAssignmentImpl xAssignment = new XAssignmentImpl();
    return xAssignment;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Value createValue()
  {
    ValueImpl value = new ValueImpl();
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public XEnumeration createXEnumeration()
  {
    XEnumerationImpl xEnumeration = new XEnumerationImpl();
    return xEnumeration;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public XEnumLiteral createXEnumLiteral()
  {
    XEnumLiteralImpl xEnumLiteral = new XEnumLiteralImpl();
    return xEnumLiteral;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public DTMLPackage getDTMLPackage()
  {
    return (DTMLPackage)getEPackage();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @deprecated
   * @generated
   */
  @Deprecated
  public static DTMLPackage getPackage()
  {
    return DTMLPackage.eINSTANCE;
  }

} //DTMLFactoryImpl
